using System;
using System.Collections.Generic;
using System.Text;
using System.Data;
using System.Reflection;

using BookShopOnline.IDal;
using BookShopOnline.Model;
using BookShopOnline.DalFactory;

namespace BookShopOnline.Bll
{
    public class OrderDetailBll
    {
        private static readonly IOrderDetail Dal = DataAccess.CreateOrdeDetail();

        public DataSet SelectOrderDetailByOrderID(string orderID)
        {
            if (string.IsNullOrEmpty(orderID))
                return null;

            return Dal.SelectOrderDetailByOrderID(orderID);
        }
    }
}
